> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /solscan/accounts

> Get a Solana account's overview by its address

**Price:** 1 credit

**💡 AI Hint:** Get the on-chain overview of a Solana account (wallet or program) by its base58 address. Returns the owner program, account type (system account, token account, program, etc.), the SOL balance (raw lamports and SOL), executable flag, whether the address is on the ed25519 curve, allocated data space, and any known label and tags (e.g. exchange, market, program).

**⚠️ Common errors:** 412: Account not found



## OpenAPI

````yaml /openapi-filtered.json post /api/solscan/accounts
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/solscan/accounts:
    post:
      tags:
        - /solscan
      summary: /solscan/accounts
      description: >-
        Get a Solana account's overview by its address


        **Price:** 1 credit


        **💡 AI Hint:** Get the on-chain overview of a Solana account (wallet or
        program) by its base58 address. Returns the owner program, account type
        (system account, token account, program, etc.), the SOL balance (raw
        lamports and SOL), executable flag, whether the address is on the
        ed25519 curve, allocated data space, and any known label and tags (e.g.
        exchange, market, program).


        **⚠️ Common errors:** 412: Account not found
      operationId: __api_solscan_accounts_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SolscanAddressPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/SolscanAccount'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SolscanAddressPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        address:
          type: string
          description: Solana account or token mint address (base58)
          examples:
            - 5tzFkiKscXHK5ZXCGbXZxdw7gTjjD1mBwuoFbhUvuAi9
      type: object
      required:
        - address
    SolscanAccount:
      properties:
        '@type':
          type: string
          default: SolscanAccount
        address:
          type: string
        type:
          anyOf:
            - type: string
            - type: 'null'
        owner_program:
          anyOf:
            - type: string
            - type: 'null'
        lamports:
          anyOf:
            - type: integer
            - type: 'null'
        sol_balance:
          anyOf:
            - type: number
            - type: 'null'
        executable:
          anyOf:
            - type: boolean
            - type: 'null'
        is_on_curve:
          anyOf:
            - type: boolean
            - type: 'null'
        space:
          anyOf:
            - type: integer
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - address
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````